package com.lemon.lifecenter.dto;

import org.springframework.stereotype.Repository;

@Repository
public class PatientPHRLatestDTO {

	private int patientIdx;
	private String patientName;
	private String centerCode;	
	private String wardNumber;
	private String roomNumber;
	private Float temperature;
	private String temperatureCreateDate;
	private Integer oxygenSaturation;
	private String oxygenSaturationCreateDate;
	private Integer pulseRate;
	private String pulseRateCreateDate;
	private Integer systolicBloodPressure;
	private String systolicBloodPressureCreateDate;
	private Integer diastolicBloodPressure;
	private String diastolicBloodPressureCreateDate;
	private Integer bloodSugar;
	private String bloodSugarCreateDate;
	private int memoCount;
	private String symptomLastDate;	
	private String searchText;	
	private int limit;
	private int limitMax;
	
	public int getPatientIdx() {
		return patientIdx;
	}
	public void setPatientIdx(int patientIdx) {
		this.patientIdx = patientIdx;
	}
	public String getCenterCode() {
		return centerCode;
	}
	public void setCenterCode(String centerCode) {
		this.centerCode = centerCode;
	}
	public String getPatientName() {
		return patientName;
	}
	public void setPatientName(String patientName) {
		this.patientName = patientName;
	}
	public String getWardNumber() {
		return wardNumber;
	}
	public void setWardNumber(String wardNumber) {
		this.wardNumber = wardNumber;
	}
	public String getRoomNumber() {
		return roomNumber;
	}
	public void setRoomNumber(String roomNumber) {
		this.roomNumber = roomNumber;
	}
	public Float getTemperature() {
		return temperature;
	}
	public void setTemperature(float temperature) {
		this.temperature = temperature;
	}
	public String getTemperatureCreateDate() {
		return temperatureCreateDate;
	}	
	public Integer getOxygenSaturation() {
		return oxygenSaturation;
	}
	public void setOxygenSaturation(int oxygenSaturation) {
		this.oxygenSaturation = oxygenSaturation;
	}
	public String getOxygenSaturationCreateDate() {
		return oxygenSaturationCreateDate;
	}	
	public Integer getPulseRate() {
		return pulseRate;
	}
	public void setPulseRate(int pulseRate) {
		this.pulseRate = pulseRate;
	}
	public String getPulseRateCreateDate() {
		return pulseRateCreateDate;
	}	
	public Integer getSystolicBloodPressure() {
		return systolicBloodPressure;
	}
	public void setSystolicBloodPressure(int systolicBloodPressure) {
		this.systolicBloodPressure = systolicBloodPressure;
	}
	public String getSystolicBloodPressureCreateDate() {
		return systolicBloodPressureCreateDate;
	}	
	public Integer getDiastolicBloodPressure() {
		return diastolicBloodPressure;
	}
	public void setDiastolicBloodPressure(int diastolicBloodPressure) {
		this.diastolicBloodPressure = diastolicBloodPressure;
	}
	public String getDiastolicBloodPressureCreateDate() {
		return diastolicBloodPressureCreateDate;
	}	
	public Integer getBloodSugar() {
		return bloodSugar;
	}
	public void setBloodSugar(int bloodSugar) {
		this.bloodSugar = bloodSugar;
	}
	public String getBloodSugarCreateDate() {
		return bloodSugarCreateDate;
	}	
	public int getMemoCount() {
		return memoCount;
	}
	public void setMemoCount(int memoCount) {
		this.memoCount = memoCount;
	}
	public String getSymptomLastDate() {
		return symptomLastDate;
	}
	public void setSymptomLastDate(String symptomLastDate) {
		this.symptomLastDate = symptomLastDate;
	}
	public String getSearchText() {
		return searchText;
	}
	public void setSearchText(String searchText) {
		this.searchText = searchText;
	}
	public int getLimit() {
		return limit;
	}
	public void setLimit(int limit) {
		this.limit = limit;
	}
	public int getLimitMax() {
		return limitMax;
	}
	public void setLimitMax(int limitMax) {
		this.limitMax = limitMax;
	}
}
